<?php
/**
 * Template part for displaying homepage service section.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package CodeVibrant
 * @subpackage Perfect Plus
 * @since 1.0.0
 *
 */

$home_service_option = get_theme_mod( 'home_service_option', true );
if( $home_service_option === false ) {
	return;
}
?>

<section id="cv-home-service" class="cv-home-section service-section clearfix">
	<div class="cv-container">

	<?php
		$section_title = get_theme_mod( 'home_service_title', __( 'Our Services', 'perfect-plus' ) );
		if( !empty( $section_title ) ) {
			$header_class = 'has-header';
		} else {
			$header_class = 'no-header';
		}
	?>
		<div class="section-header-wrapper <?php echo esc_attr( $header_class ); ?>">
			<?php if( !empty( $section_title ) ) { ?><h2 class="cv-section-title"><?php echo esc_html( $section_title ); ?></h2><?php } ?>
		</div><!-- .section-header-wrapper -->

	<?php
		$get_service_items = get_theme_mod( 'home_service_items', '' );
		$get_decode_service_items = json_decode( $get_service_items );
		if( ! empty( $get_decode_service_items ) ) {
			echo '<div class="cv-service-items-wrapper cv-column-wrapper">';
			$count = 0.3;
				foreach ( $get_decode_service_items as $single_item ) {
					$item_page = $single_item->cv_select_pages;
					if( !empty( $item_page ) ) {
						$item_icon = $single_item->cv_icons_list;
						$page_query = new WP_Query( array( 'page_id' => $item_page ) );
						if( $page_query->have_posts() ) {
							while ( $page_query->have_posts() ) {
								$page_query->the_post();
								$wow_delay = $count+0.2;
								$count = $count+0.2;
								$item_read_more_text = get_theme_mod( 'home_service_read_more_text', __( 'Read More', 'perfect-plus' ) );
			?>
								<div class="cv-single-item-wrap wow fadeInUp cv-column-3" data-wow-delay="<?php echo esc_attr( $wow_delay ); ?>s">
									<?php if( !empty( $item_icon ) ) { ?>
										<div class="item-icon-holder">
											<a href="<?php the_permalink(); ?>"  title="<?php the_title_attribute(); ?>">
												<i class="<?php echo esc_attr( $item_icon ); ?>"></i>
											</a>
										</div><!-- .item-icon-holder -->
									<?php } ?>
									<div class="item-content-wrap">
										<h3 class="item-title service-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
										<div class="item-info"><?php the_excerpt(); ?></div>
										<?php if( !empty( $item_read_more_text ) ) { ?>
											<a class="item-btn cv-more-btn" href="<?php the_permalink(); ?>"><?php echo esc_html( $item_read_more_text ); ?></a>
										<?php } ?>
									</div><!-- .item-content-wrap -->
								</div><!-- .cv-single-item-wrap -->
			<?php
							}
						}
						wp_reset_postdata();
					}
				}
			echo '</div><!-- .cv-service-items-wrapper -->';
		}
	?>

	</div><!-- .cv-container -->
</section><!-- #cv-home-service -->